DataBinder (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.grails.databinding
[Java] Interface DataBinder

    public interface DataBinder

Authors:
  Jeff Brown

Since:
  2.3

Method Summary
`void` | `bind(java.lang.Object obj, DataBindingSource source, java.lang.String filter, java.util.List whiteList, java.util.List blackList, DataBindingListener listener)` @param obj The object being bound to
`void` | `bind(java.lang.Object obj, DataBindingSource source, java.lang.String filter, java.util.List whiteList, java.util.List blackList)` @param obj The object being bound to
`void` | `bind(java.lang.Object obj, groovy.util.slurpersupport.GPathResult gpath)` @param obj The object being bound to
`void` | `bind(java.lang.Object obj, DataBindingSource source, java.util.List whiteList, java.util.List blackList)` @param obj The object being bound to
`void` | `bind(java.lang.Object obj, DataBindingSource source, java.util.List whiteList)` @param obj The object being bound to
`void` | `bind(java.lang.Object obj, DataBindingSource source, DataBindingListener listener)` @param obj The object being bound to
`void` | `bind(java.lang.Object obj, DataBindingSource source)` @param obj The object being bound to

Method Detail

### bind

    public void bind(java.lang.Object obj, DataBindingSource source, java.lang.String filter, java.util.List whiteList, java.util.List blackList, DataBindingListener listener)

  Parameters:
    `obj` - The object being bound to
    `source` - The data binding source
    `filter` - Only properties beginning with filter will be included in the data binding. For example, if filter is "person" and the binding source contains data for properties "person.name" and "author.name" the value of "person.name" will be bound to obj.name. The value of "author.name" will be ignored.
    `whiteList` - A list of property names to be included during this data binding. All other properties represented in the binding source will be ignored
    `blackList` - A list of properties names to be excluded during this data binding.
    `listener` - A listener which will be notified of data binding events triggered by this binding
  See Also:
    DataBindingSource
    DataBindingListener

### bind

    public void bind(java.lang.Object obj, DataBindingSource source, java.lang.String filter, java.util.List whiteList, java.util.List blackList)

  Parameters:
    `obj` - The object being bound to
    `source` - The data binding source
    `filter` - Only properties beginning with filter will be included in the data binding. For example, if filter is "person" and the binding source contains data for properties "person.name" and "author.name" the value of "person.name" will be bound to obj.name. The value of "author.name" will be ignored.
    `whiteList` - A list of property names to be included during this data binding. All other properties represented in the binding source will be ignored
    `blackList` - A list of properties names to be excluded during this data binding.
  See Also:
    DataBindingSource

### bind

    public void bind(java.lang.Object obj, groovy.util.slurpersupport.GPathResult gpath)

  Parameters:
    `obj` - The object being bound to
    `gpath` - A GPathResult which represents the data being bound.
  See Also:
    DataBindingSource

### bind

    public void bind(java.lang.Object obj, DataBindingSource source, java.util.List whiteList, java.util.List blackList)

  Parameters:
    `obj` - The object being bound to
    `source` - The data binding source
    `whiteList` - A list of property names to be included during this data binding. All other properties represented in the binding source will be ignored
    `blackList` - A list of properties names to be excluded during this data binding.
  See Also:
    DataBindingSource

### bind

    public void bind(java.lang.Object obj, DataBindingSource source, java.util.List whiteList)

  Parameters:
    `obj` - The object being bound to
    `source` - The data binding source
    `whiteList` - A list of property names to be included during this data binding. All other properties represented in the binding source will be ignored
  See Also:
    DataBindingSource

### bind

    public void bind(java.lang.Object obj, DataBindingSource source, DataBindingListener listener)

  Parameters:
    `obj` - The object being bound to
    `source` - The data binding source
    `listener` - A listener which will be notified of data binding events triggered by this binding
  See Also:
    DataBindingSource
    DataBindingListener

### bind

    public void bind(java.lang.Object obj, DataBindingSource source)

  Parameters:
    `obj` - The object being bound to
    `source` - The data binding source
  See Also:
    DataBindingSource

Groovy Documentation